package com.ynet.life.services.http;

import com.ynet.life.base.Trace;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;

public class SynchronousHttpService {

   private String requestURL;


   public SynchronousHttpService(String requestURL) {
      this.requestURL = requestURL;
   }

   public int sendRequest() {
      HttpURLConnection urlConnection = null;
      InputStream e = null;

      try {
         (urlConnection = (HttpURLConnection)(new URL(this.requestURL)).openConnection()).setRequestMethod("POST");
         urlConnection.setDoInput(true);
         urlConnection.setDoOutput(false);
         urlConnection.setUseCaches(false);
         urlConnection.setRequestProperty("User-Agent", "MSIE");
         urlConnection.connect();
         urlConnection.getResponseCode();
         e = urlConnection.getInputStream();
         byte[] e1 = new byte[7];
         e.read(e1);
         if(!(new String(e1)).equals("success")) {
            return 400;
         }
      } catch (Exception var16) {
         Trace.logError("LifeHTTP", "HTTP通信异常", var16);
         return 400;
      } finally {
         if(e != null) {
            try {
               e.close();
            } catch (Exception var15) {
               Trace.logWarning("LifeHTTP", "input对象关闭异常", var15);
            }
         }

         if(urlConnection != null) {
            try {
               urlConnection.disconnect();
            } catch (Exception var14) {
               Trace.logWarning("LifeHTTP", "URLConnection对象关闭异常", var14);
            }
         }

      }

      return 200;
   }

   public static void main(String[] retCode) {
      int retCode1 = (new SynchronousHttpService("http://localhost:8080/perbank/monitorDownReq.do?orderFlowNo=PB100000002847&verifyCode=tDwX67WdshEpOKykSnCX&")).sendRequest();
      System.out.println(retCode1);
   }
}
